package com.ruoyi.iot.util;

public class SplitDataUtil {

    public static int getSplitTableNum(String imei){
        int num = 150;
        int hashCode = hash(imei);
        int value = (num - 1) & hashCode;
        return value;
    }

    private static  int hash(Object key) {
        int h;
        return (key == null) ? 0 : (h = key.hashCode()) ^ (h >>> 16);
    }
}
